clc; clear
Pmeh = 1; Pm1 = 2.26; Pm2 = 0; Pm3 = 1.603; M = 3.7e-4;
t_iskl = 0.17; t_apv = 0.2;
% y(1) = omega e izrazena vo elektricni stepeni vo sekunda
% y(2) = teta e izrazena vo elektricni stepeni
% rabota so rezim na kusa vrska od 0 do t_iskl
f = @(t,y) [Pmeh/M; y(1)];
[t, y] = rk4(f, 0, t_iskl, [0 asin(Pmeh/Pm1)/pi*180], 50);
% rabota so isklucen vod od 0 do t_apv
f = @(t,y) [(Pmeh - Pm3*sin(y(2)/180*pi))/M; y(1)];
[t1, y1] = rk4(f, 0, t_apv, y(end,:), 50);
% rabota vo normalen rezim od 0 do 1 sekunda
f = @(t,y) [(Pmeh - Pm1*sin(y(2)/180*pi))/M; y(1)];
[t2, y2] = rk4(f, 0, 1, y1(end,:), 50);
% trite resenija staveni posledovatelno
t = [t; t1 + t_iskl; t2 + t_iskl + t_apv];
y = [y; y1; y2];
figure; plot(t, 50 + y(:, 1)/18000);
figure; plot(t, y(:, 2));
